%define name	ardour-pixmaps-custom
%define version 1.0
%define release 1mdk

Name:    	%{name}
Summary: 	Replacement pixmaps for ardour.
Version: 	%{version}
Release: 	%{release}

Source:		pixmaps-custom.tar.bz2
URL:		ftp://12.213.20.99/pub
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
Provides:	ardour-pixmaps
BuildArch:	noarch

%description
Custom ardour user interface (the blue-bubble type, you know).

You can only have one set of ardour pixmaps installed, so installing this
package will remove the default pixmaps.

%prep
%setup -q -n pixmaps-custom

%build
# set pixmaps dir
perl -pi -e "s|/usr/src/pixmaps|%_datadir/ardour/pixmaps||g;" ardour_ui.rc
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_datadir/ardour/pixmaps
cp ardour_ui.rc $RPM_BUILD_ROOT/%_datadir/ardour/
cp *.xpm *.png $RPM_BUILD_ROOT/%_datadir/ardour/pixmaps/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_datadir}/ardour/ardour_ui.rc
%{_datadir}/ardour/pixmaps/*.xpm
%{_datadir}/ardour/pixmaps/*.png

%changelog
* Wed Feb 5 2003 Austin Acton <aacton@yorku.ca> 1.0-1mdk
- initial package
